curl --request POST \
--url https://api.cal.com/v2/events/{uuid}/registrations/approve-all \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"search": "<string>",
"locationId": "<string>",
"retry": true
}
'import requests
url = "https://api.cal.com/v2/events/{uuid}/registrations/approve-all"
payload = {
"search": "<string>",
"locationId": "<string>",
"retry": True
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({search: '<string>', locationId: '<string>', retry: true})
};
fetch('https://api.cal.com/v2/events/{uuid}/registrations/approve-all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cal.com/v2/events/{uuid}/registrations/approve-all",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'search' => '<string>',
'locationId' => '<string>',
'retry' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cal.com/v2/events/{uuid}/registrations/approve-all"
payload := strings.NewReader("{\n \"search\": \"<string>\",\n \"locationId\": \"<string>\",\n \"retry\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.cal.com/v2/events/{uuid}/registrations/approve-all")
.header("Authorization", "<authorization>")
.header("Content-Type", "application/json")
.body("{\n \"search\": \"<string>\",\n \"locationId\": \"<string>\",\n \"retry\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cal.com/v2/events/{uuid}/registrations/approve-all")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<authorization>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"search\": \"<string>\",\n \"locationId\": \"<string>\",\n \"retry\": true\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"kind": "completed",
"approvedCount": 123,
"notSeatedCount": 123,
"operationId": "<string>",
"total": 123
}
}Approve every pending guest
Approves the Event’s guests waiting for approval, optionally only those matching search or registered for locationId, as the roster’s Approve all does. A free Event approves them in this request and returns completed with the counts. A paid Event sends each guest a payment request in the background and returns started. The Event must be published and not cancelled. The authenticated user must be the Event’s owner, one of its hosts, an accepted co-host, or a member of the owning team. PBAC permission for team events: calEvent.update. If accessed using an OAuth access token, the EVENT_WRITE scope is required.
curl --request POST \
--url https://api.cal.com/v2/events/{uuid}/registrations/approve-all \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"search": "<string>",
"locationId": "<string>",
"retry": true
}
'import requests
url = "https://api.cal.com/v2/events/{uuid}/registrations/approve-all"
payload = {
"search": "<string>",
"locationId": "<string>",
"retry": True
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({search: '<string>', locationId: '<string>', retry: true})
};
fetch('https://api.cal.com/v2/events/{uuid}/registrations/approve-all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cal.com/v2/events/{uuid}/registrations/approve-all",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'search' => '<string>',
'locationId' => '<string>',
'retry' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cal.com/v2/events/{uuid}/registrations/approve-all"
payload := strings.NewReader("{\n \"search\": \"<string>\",\n \"locationId\": \"<string>\",\n \"retry\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.cal.com/v2/events/{uuid}/registrations/approve-all")
.header("Authorization", "<authorization>")
.header("Content-Type", "application/json")
.body("{\n \"search\": \"<string>\",\n \"locationId\": \"<string>\",\n \"retry\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cal.com/v2/events/{uuid}/registrations/approve-all")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<authorization>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"search\": \"<string>\",\n \"locationId\": \"<string>\",\n \"retry\": true\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"kind": "completed",
"approvedCount": 123,
"notSeatedCount": 123,
"operationId": "<string>",
"total": 123
}
}Headers
value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token
Path Parameters
Event UUID. Accepts the canonical UUID (e.g. 018ff5cd-6dc4-7d57-bcbc-374702ca8b38) or its short-uuid (Flickr Base58) form (e.g. 1cbZYoAFoJdwqN4tixezd5).
Body
Only approve guests whose name or email contains this text, case-insensitive.
255Only approve guests who registered for this location.
128Paid Events only: when the previous approve-all failed, approve the guests it had not reached instead of reading the pending guests again.
Was this page helpful?